# these are defined by the build
#%define distro Fedora
#%define distrorelease 12
#%define distroname f12
#%define pldistro onelab
#%define plrelease 5.0

%define name sface
%define version 0.1
%define taglevel 16

%define release %{taglevel}%{?pldistro:.%{pldistro}}%{?date:.%{date}}

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Vendor: PlanetLab
Packager: PlanetLab Central <support@planet-lab.org>
Distribution: PlanetLab %{plrelease}
URL: %{SCMURL}
Summary: GUI for sfi.py from SFA
Group: Applications/System

BuildRequires: make
Requires: python >= 2.5
Requires: PyQt4
Requires: sfa-client

%description
this package provides GUI for sfi.py, i.e.
the Slice-Based Facility Architecture (SFA) command line interface.
The GUI let you manage you slices by adding/deleting nodes and viewing
the slice's RSpec with an XML pretty printer.

%prep
%setup -q

%build
make VERSIONTAG="%{version}-%{taglevel}" SCMURL="%{SCMURL}"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" datadir="%{_datadir}" bindir="%{_bindir}" install
rm -f $RPM_BUILD_ROOT/%{_datadir}/*.egg-info
# symlinking sface to sface-run, relative
cd $RPM_BUILD_ROOT/%{_bindir}
ln -sf ./sface-run ./sface

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/sface
%{_bindir}/sface-run
%{_datadir}/sface/*

%changelog
* Thu Jul 07 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-16
- bugfix in managing subprocess outputs

* Mon Jun 20 2011 Andy Bavier <acb@cs.princeton.edu> - sface-0.1-15
- Fix bug preventing adding nodes to a slice.

* Fri Jun 10 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-14
- slight changes in view creation

* Wed Jun 08 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-13
- dynamically load screens from the screens directory

* Mon Jun 06 2011 Scott Baker <smbaker@gmail.com> - sface-0.1-12
- Added button to renew slice.

* Mon May 23 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-11
- fixed the logo area on the mac

* Mon May 23 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-10
- show versions of sface and sfa in the configure window
- should work both on rpm-based and macos (build-dmg.sh) packages

* Tue Mar 15 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-9
- packaging has support for leopard as well
- can use vn as a skeleton for vn+1
- config view show SFA version

* Tue Mar 15 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-8
- dmg packaging has support for leopard, and other utility options
- cleaned up graphics

* Mon Mar 14 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-7
- fixed dmg packaging

* Mon Mar 14 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-6
- help script to create dmg packaging

* Tue Mar 08 2011 Andy Bavier <acb@cs.princeton.edu> - sface-0.1-5
- Can add and remove slice tags
- Numerous tweaks
- Simplify item model

* Thu Jan 27 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-4
- minor changes

* Thu Oct 14 2010 Baris Metin <Talip-Baris.Metin@sophia.inria.fr> - sface-0.1-3
- sface-0.1-3, with improvement on process output.

* Mon Sep 27 2010 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-2
- initial version with rpm packaging

* Fri Sep 24 2010 Giovanni Gherdovich <ggherdov@sophia.inria.fr>
- initial package
